#!/usr/bin/env ruby
#-*- coding:utf-8 -*-

require 'nokogiri'

l = %w(un ko aaa)

html = Nokogiri::HTML::DocumentFragment.parse("")
Nokogiri::HTML::Builder.with(html) do |doc|
  doc.div.nav.index do
    doc.h1 "test"
    doc.ul do
      l.each.with_index do |x, i|
        doc.li x, class: "item-list", id: i
      end
    end

    doc.br # これだと<br>になる
    doc << "<br />" # ノードを挿入する場合
    doc.text "<br />\n" # テキストノードとして挿入する場合(自動的にエスケープされる)
  end
end

puts html.to_html

